Can't get inventory

A place to submit bugs to the Andor's Trail Development Team.
User avatar
rijackson741
Posts: 1977
Joined: Tue Aug 20, 2013 2:04 am
android_version: 8.0
Location: Somewhere in Dhayavar

Re: Can't get inventory

Post by rijackson741 » Wed May 23, 2018 10:14 pm

Here's a link to the Android Studio 2.2.3 installer: https://www.dropbox.com/s/5o1aqobsmnajr ... s.exe?dl=0

There are issues with the way our project is structured that cause problems with AS3.x. Please try the earlier version.
Level: 64, XP: 4734786, HP: 196, AC: 246%, AD: 49-59, AP: 3, ECC: 25%, CM: 3, BC: 127%, DR: 2
Gold: 232355 | RoLS: 1, RoL: 1, GoW: 1
HH: 1, CS: 2, IF: 4, Ev: 3, Re: 2, WP:DA: 1, WP:1S: 1, AP:L: 1, FS:DW: 2, S:DW: 1
SR

User avatar
Zukero
Lead Developer
Posts: 1661
Joined: Thu Jul 21, 2011 9:56 am
android_version: 8.0

Re: Can't get inventory

Post by Zukero » Thu May 24, 2018 5:45 am

We have issues with android studio 3. I'll fix these after the release though.
I work with eclipse + adt plug-in, and others in the dev team use Android studio 2.
You could also try targeting a higher API level.
Lvl: 78, XP: 8622632, Gold: 271542, RoLS: 1, ElyR: -, RoL: -, ChaR: 1, GoLF: 1, ShaF: 1, SRoV: 1, VSH: 1, WMC: 1, GoW: 1
HP: 71, AC: 301%, AD: 38-47, AP: 3, ECC: 50%, CM: 3.75, BC: 101%, DR: 2

User avatar
rijackson741
Posts: 1977
Joined: Tue Aug 20, 2013 2:04 am
android_version: 8.0
Location: Somewhere in Dhayavar

Re: Can't get inventory

Post by rijackson741 » Thu May 24, 2018 11:18 am

Zukero wrote:
Thu May 24, 2018 5:45 am
You could also try targeting a higher API level.
I target API 23, and it seems to work. I keep telling myself I should change it, but as long as it works, I'm lazy :mrgreen:
Level: 64, XP: 4734786, HP: 196, AC: 246%, AD: 49-59, AP: 3, ECC: 25%, CM: 3, BC: 127%, DR: 2
Gold: 232355 | RoLS: 1, RoL: 1, GoW: 1
HH: 1, CS: 2, IF: 4, Ev: 3, Re: 2, WP:DA: 1, WP:1S: 1, AP:L: 1, FS:DW: 2, S:DW: 1
SR

zizkin
Posts: 7
Joined: Mon May 21, 2018 10:21 am
android_version: 7.0

Re: Can't get inventory

Post by zizkin » Thu May 24, 2018 1:09 pm

Thanks.
I tried AS 2.3.3 - no solution, targeting API 26 also did not work...
Could not get Eclipse work (error with resources in R class), but I am familiar with eclipse, so I did not look in deeper.
I am a linux user, so I cannot use the version from rijacksons dropbox. The oldest AS right now available on https://developer.android.com/studio/archive is 2.3.2 but I doubt it would work :( So sad, I deleted yesterday AS 2.1 :(

User avatar
Zukero
Lead Developer
Posts: 1661
Joined: Thu Jul 21, 2011 9:56 am
android_version: 8.0

Re: Can't get inventory

Post by Zukero » Thu May 24, 2018 1:29 pm

Weird. What sources are you trying to compile?
Lvl: 78, XP: 8622632, Gold: 271542, RoLS: 1, ElyR: -, RoL: -, ChaR: 1, GoLF: 1, ShaF: 1, SRoV: 1, VSH: 1, WMC: 1, GoW: 1
HP: 71, AC: 301%, AD: 38-47, AP: 3, ECC: 50%, CM: 3.75, BC: 101%, DR: 2

zizkin
Posts: 7
Joined: Mon May 21, 2018 10:21 am
android_version: 7.0

Re: Can't get inventory

Post by zizkin » Fri May 25, 2018 10:41 am

OK. I got it working. On Win AS 2.2.3 from rijackson I still did not see the tabs. Also tried to change API and build tools. Still the same result. I was compiling commit 35e3ad024cad1085f519737ddf40ab59122ff050 , few commit after 0.7.1 release.
Then I looked into the code and found a solution there. In tabbedlayout.xml the TabWidget had attribute set to android:visibility="gone" , so changing this to "visible" solved the problem. I am happy to get it running, that I am too lazy to check it on head commit right now and in the latest studio. But I could test it after the weekend. But I doubt this would be the "real" solution for this bug :(

User avatar
Zukero
Lead Developer
Posts: 1661
Joined: Thu Jul 21, 2011 9:56 am
android_version: 8.0

Re: Can't get inventory

Post by Zukero » Fri May 25, 2018 1:47 pm

Well, I changed the whole UI, which you can test with the current master branch, so this should not be an issue anymore. If it's still an issue, it's another issue :lol:
Lvl: 78, XP: 8622632, Gold: 271542, RoLS: 1, ElyR: -, RoL: -, ChaR: 1, GoLF: 1, ShaF: 1, SRoV: 1, VSH: 1, WMC: 1, GoW: 1
HP: 71, AC: 301%, AD: 38-47, AP: 3, ECC: 50%, CM: 3.75, BC: 101%, DR: 2

zizkin
Posts: 7
Joined: Mon May 21, 2018 10:21 am
android_version: 7.0

Re: Can't get inventory

Post by zizkin » Tue May 29, 2018 1:44 pm

Well, then I suggest it is an another issue :D
When compiling on current master branch, the same problem still occurs. Removing the line with visibility lets it build and work good for any of my tested Sets (AS 2.2.3/API19 - windows, AS 3.2.1-API 21, AS 3.2.1-API 19 and AS 3.2.1-API 26 - Linux)
I think this visibility="gone" causes also https://github.com/Zukero/andors-trail/issues/40 and is present since https://github.com/Zukero/andors-trail/ ... 587e99016c.
I do not understand, how it may be, but apparently it works for you guys, I need this line removed :D
But reading the documentation to the visibility I think, that this is the solution.
I would commit, but still I am not sure, if I miss something somewhere (I am NOT an Android programmer).
BTW, nice work with the new UI and content! And thanks for all the tips! Your quick answers motivate me ;-)

User avatar
Zukero
Lead Developer
Posts: 1661
Joined: Thu Jul 21, 2011 9:56 am
android_version: 8.0

Re: Can't get inventory

Post by Zukero » Tue May 29, 2018 4:56 pm

I'm guessing this has something to do with android-support-v4.jar
Maybe AS automatically updates it to the latest version in your setup, while our old version (under libs/ on github) has an issue that is fixed by this visibility line, or something in this spirit.

IIRC this visiblity line is related to using the SupportFragmentManager and FragmentTabHost classes.
Lvl: 78, XP: 8622632, Gold: 271542, RoLS: 1, ElyR: -, RoL: -, ChaR: 1, GoLF: 1, ShaF: 1, SRoV: 1, VSH: 1, WMC: 1, GoW: 1
HP: 71, AC: 301%, AD: 38-47, AP: 3, ECC: 50%, CM: 3.75, BC: 101%, DR: 2

zizkin
Posts: 7
Joined: Mon May 21, 2018 10:21 am
android_version: 7.0

Re: Can't get inventory

Post by zizkin » Wed Jun 13, 2018 10:27 am

Thanks, you are right, AS uses different version of android-support-v4.jar. I did not find a way how to force AS to use AT's version. Anyway, now I am able to build the game, so maybe I could post some bugs - if I find any :) Thanks for your time, I am going to test (play) the new guynmart content!

Post Reply